%define upstream_name    Test-Trap
%define upstream_version v0.2.2

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Trap exit codes, exceptions, output
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(Module::Build) >= 0.360.0
BuildRequires: perl(Test::Builder)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Tester) >= 0.107.0
BuildRequires: perl(base)
BuildRequires: perl(constant)
BuildRequires: perl(lib)
BuildRequires: perl(strict)
BuildRequires: perl(version)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Primarily (but not exclusively) for use in test scripts: A block eval on
steroids, configurable and extensible, but by default trapping (Perl)
STDOUT, STDERR, warnings, exceptions, would-be exit codes, and return
values from boxed blocks of test code.

The values collected by the latest trap can then be queried or tested
through a special trap object.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.2-3.mga4
+ Revision: 515377
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.2-2.mga3
+ Revision: 373860
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 06 2012 jquelin <jquelin> 0.2.2-1.mga2
+ Revision: 220012
- update to v0.2.2

* Sun Jan 23 2011 jquelin <jquelin> 0.2.1-1.mga1
+ Revision: 34292
- mageia rebuild
- imported package perl-Test-Trap


* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.2.1-1mdv2010.1
+ Revision: 483882
- update to v0.2.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.2.0-2mdv2010.0
+ Revision: 440698
- rebuild

* Sat Oct 11 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.2.0-1mdv2009.1
+ Revision: 292354
- update to new version 0.2.0

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.1.1-2mdv2009.0
+ Revision: 268755
- rebuild early 2009.0 package (before pixel changes)

* Wed Apr 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.1-1mdv2009.0
+ Revision: 194953
- update to new version 0.1.1

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.1.0-1mdv2008.1
+ Revision: 156642
- new version

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0.0.21-1mdv2008.1
+ Revision: 140721
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Mon Mar 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.0.21-1mdv2007.1
+ Revision: 146403
- spec cleanup

* Sun Mar 18 2007 Shlomi Fish 0.0.21-1mdv2007.1
- Initial release. Adapted the XML-Atom spec for this one.

